karaf 2.3.3 java.io.IOException: Pipe closed

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

karaf 2.3.3 java.io.IOException: Pipe closed

simafengyun1984
Hi JB,

when I try to deploy the quartz-1.8.5.jar to karaf 2.3.3
It always shows the below exception.


2014-01-08 17:04:49,276 | INFO  | raf-2.3.3/deploy | fileinstall                      | ?                                   ? | 6 - org.apache.felix.fileinstall - 3.2.6 | Started bundle: wrap:file:/C:/work/softtools/Karaf%20cluster/apache-karaf-2.3.3/deploy/quartz-2.0.0.jar$Bundle-SymbolicName=quartz&Bundle-Version=2.0.0
2014-01-08 17:04:50,199 | WARN  | Thread-15        | BndUtils                         | ps4j.pax.swissbox.bnd.BndUtils$1  178 | 2 - org.ops4j.pax.url.wrap - 1.3.6 | Bundle cannot be generated
java.io.IOException: Pipe closed
        at java.io.PipedInputStream.checkStateForReceive(PipedInputStream.java:244)[:1.6.0_37]
        at java.io.PipedInputStream.receive(PipedInputStream.java:210)[:1.6.0_37]
        at java.io.PipedOutputStream.write(PipedOutputStream.java:132)[:1.6.0_37]
        at java.util.zip.DeflaterOutputStream.deflate(DeflaterOutputStream.java:155)[:1.6.0_37]
        at java.util.zip.ZipOutputStream.closeEntry(ZipOutputStream.java:196)[:1.6.0_37]
        at aQute.lib.osgi.Jar.writeResource(Jar.java:305)[2:org.ops4j.pax.url.wrap:1.3.6]
        at aQute.lib.osgi.Jar.write(Jar.java:211)[2:org.ops4j.pax.url.wrap:1.3.6]
        at org.ops4j.pax.swissbox.bnd.BndUtils$1.run(BndUtils.java:174)[2:org.ops4j.pax.url.wrap:1.3.6]



I check the MANIFEST.MF in the jar file. the content as below
Manifest-Version: 1.0
Archiver-Version: Plexus Archiver
Created-By: Apache Maven
Built-By: cruise
Build-Jdk: 1.6.0_24


apparently it is not a standard bundle MANIFEST.MF file.
Is the issue caused by the MANIFEST.MF file? Is any solution to fix this?                                                
Reply | Threaded
Open this post in threaded view
|

Re: karaf 2.3.3 java.io.IOException: Pipe closed

Freeman-2
Hi,

Servicemix wrap quartz as OSGi bundle, how about you use the one from servicemix[1].

something like
install -s mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.quartz/1.8.6_1
-------------
Freeman(Yue) Fang

Red Hat, Inc. 
FuseSource is now part of Red Hat



On 2014-1-8, at 下午5:33, simafengyun1984 wrote:

Hi JB,

when I try to deploy the quartz-1.8.5.jar to karaf 2.3.3
It always shows the below exception.


2014-01-08 17:04:49,276 | INFO  | raf-2.3.3/deploy | fileinstall                     
| ?                                   ? | 6 - org.apache.felix.fileinstall -
3.2.6 | Started bundle:
wrap:file:/C:/work/softtools/Karaf%20cluster/apache-karaf-2.3.3/deploy/quartz-2.0.0.jar$Bundle-SymbolicName=quartz&Bundle-Version=2.0.0
2014-01-08 17:04:50,199 | WARN  | Thread-15        | BndUtils                        
| ps4j.pax.swissbox.bnd.BndUtils$1  178 | 2 - org.ops4j.pax.url.wrap - 1.3.6
| Bundle cannot be generated
java.io.IOException: Pipe closed
       at
java.io.PipedInputStream.checkStateForReceive(PipedInputStream.java:244)[:1.6.0_37]
       at
java.io.PipedInputStream.receive(PipedInputStream.java:210)[:1.6.0_37]
       at
java.io.PipedOutputStream.write(PipedOutputStream.java:132)[:1.6.0_37]
       at
java.util.zip.DeflaterOutputStream.deflate(DeflaterOutputStream.java:155)[:1.6.0_37]
       at
java.util.zip.ZipOutputStream.closeEntry(ZipOutputStream.java:196)[:1.6.0_37]
       at
aQute.lib.osgi.Jar.writeResource(Jar.java:305)[2:org.ops4j.pax.url.wrap:1.3.6]
       at
aQute.lib.osgi.Jar.write(Jar.java:211)[2:org.ops4j.pax.url.wrap:1.3.6]
       at
org.ops4j.pax.swissbox.bnd.BndUtils$1.run(BndUtils.java:174)[2:org.ops4j.pax.url.wrap:1.3.6]



I check the MANIFEST.MF in the jar file. the content as below
*Manifest-Version: 1.0
Archiver-Version: Plexus Archiver
Created-By: Apache Maven
Built-By: cruise
Build-Jdk: 1.6.0_24*

apparently it is not a standard bundle MANIFEST.MF file.
*Is the issue caused by the MANIFEST.MF file? Is any solution to fix this? *



--
View this message in context: http://karaf.922171.n3.nabble.com/karaf-2-3-3-java-io-IOException-Pipe-closed-tp4030932.html
Sent from the Karaf - User mailing list archive at Nabble.com.

Reply | Threaded
Open this post in threaded view
|

Re: karaf 2.3.3 java.io.IOException: Pipe closed

jbonofre
I second Freeman.

Try to use the Quartz SMX bundle.

Regards
JB

On 01/08/2014 10:41 AM, Freeman Fang wrote:

> Hi,
>
> Servicemix wrap quartz as OSGi bundle, how about you use the one from
> servicemix[1].
>
> something like
> install
> -s mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.quartz/1.8.6_1
> -------------
> Freeman(Yue) Fang
>
> Red Hat, Inc.
> FuseSource is now part of Red Hat
>
>
>
> On 2014-1-8, at 下午5:33, simafengyun1984 wrote:
>
>> Hi JB,
>>
>> when I try to deploy the quartz-1.8.5.jar to karaf 2.3.3
>> It always shows the below exception.
>>
>>
>> 2014-01-08 17:04:49,276 | INFO  | raf-2.3.3/deploy | fileinstall
>> | ?                                   ? | 6 -
>> org.apache.felix.fileinstall -
>> 3.2.6 | Started bundle:
>> wrap:file:/C:/work/softtools/Karaf%20cluster/apache-karaf-2.3.3/deploy/quartz-2.0.0.jar$Bundle-SymbolicName=quartz&Bundle-Version=2.0.0
>> 2014-01-08 17:04:50,199 | WARN  | Thread-15        | BndUtils
>> | ps4j.pax.swissbox.bnd.BndUtils$1  178 | 2 - org.ops4j.pax.url.wrap -
>> 1.3.6
>> | Bundle cannot be generated
>> java.io.IOException: Pipe closed
>>        at
>> java.io.PipedInputStream.checkStateForReceive(PipedInputStream.java:244)[:1.6.0_37]
>>        at
>> java.io.PipedInputStream.receive(PipedInputStream.java:210)[:1.6.0_37]
>>        at
>> java.io.PipedOutputStream.write(PipedOutputStream.java:132)[:1.6.0_37]
>>        at
>> java.util.zip.DeflaterOutputStream.deflate(DeflaterOutputStream.java:155)[:1.6.0_37]
>>        at
>> java.util.zip.ZipOutputStream.closeEntry(ZipOutputStream.java:196)[:1.6.0_37]
>>        at
>> aQute.lib.osgi.Jar.writeResource(Jar.java:305)[2:org.ops4j.pax.url.wrap:1.3.6]
>>        at
>> aQute.lib.osgi.Jar.write(Jar.java:211)[2:org.ops4j.pax.url.wrap:1.3.6]
>>        at
>> org.ops4j.pax.swissbox.bnd.BndUtils$1.run(BndUtils.java:174)[2:org.ops4j.pax.url.wrap:1.3.6]
>>
>>
>>
>> I check the MANIFEST.MF in the jar file. the content as below
>> *Manifest-Version: 1.0
>> Archiver-Version: Plexus Archiver
>> Created-By: Apache Maven
>> Built-By: cruise
>> Build-Jdk: 1.6.0_24*
>>
>> apparently it is not a standard bundle MANIFEST.MF file.
>> *Is the issue caused by the MANIFEST.MF file? Is any solution to fix
>> this?*
>>
>>
>>
>> --
>> View this message in context:
>> http://karaf.922171.n3.nabble.com/karaf-2-3-3-java-io-IOException-Pipe-closed-tp4030932.html
>> Sent from the Karaf - User mailing list archive at Nabble.com
>> <http://Nabble.com>.
>

--
Jean-Baptiste Onofré
[hidden email]
http://blog.nanthrax.net
Talend - http://www.talend.com